getContractsForOwner

Gets all NFT contracts held by an owner address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to docs-demo

For higher throughput, create your own API key

Query Params
string
required
Defaults to vitalik.eth

String - Address for NFT owner (can be in ENS format!).

string

String - key for pagination. If more results are available, a pageKey will be returned in the response. Pass back the pageKey as a param to fetch the next page of results.

integer
Defaults to 100

Number of NFTs to be returned per page. Defaults to 100. Max is 100.

boolean
Defaults to false

Boolean - if set to true, returns NFT metadata. Setting this to false will reduce payload size and may result in a faster API call. Defaults to false.

includeFilters[]
array of strings

Array of filters (as ENUMS) that will be applied to the query. Only NFTs that match one or more of these filters will be included in the response. May not be used in conjunction with excludeFilters[]. Filter Options:

  • SPAM: NFTs that have been classified as spam. Spam classification has a wide range of criteria that includes but is not limited to emitting fake events and copying other well-known NFTs.
  • AIRDROPS: NFTs that have were airdropped to the user. Airdrops are defined as NFTs that were minted to a user address in a transaction sent by a different address. NOTE: this filter is currently supported on Ethereum Mainnet, Ethereum Goerli, and Matic Mainnet only.
includeFilters[]
Allowed:
excludeFilters[]
array of strings

Array of filters (as ENUMS) that will be applied to the query. NFTs that match one or more of these filters will be excluded from the response. May not be used in conjunction with includeFilters[]. Filter Options:

  • SPAM: NFTs that have been classified as spam. Spam classification has a wide range of criteria that includes but is not limited to emitting fake events and copying other well-known NFTs.
  • AIRDROPS: NFTs that have were airdropped to the user. Airdrops are defined as NFTs that were minted to a user address in a transaction sent by a different address. NOTE: this filter is currently supported on Ethereum Mainnet, Ethereum Goerli, and Matic Mainnet only.
excludeFilters[]
Allowed:
string
enum

Enum - ordering scheme to use for ordering NFTs in the response. If unspecified, NFTs will be ordered by contract address and token ID.

  • transferTime: NFTs will be ordered by the time they were transferred into the wallet, with newest NFTs first. NOTE: this ordering is only supported on Ethereum Mainnet and Polygon Mainnet.
Allowed:
string
enum

Enum - the confidence level at which to filter spam at.

Confidence Levels:

  • VERY_HIGH
  • HIGH
  • MEDIUM
  • LOW

The confidence level set means that any spam that is at that confidence level or higher will be filtered out. For example, if the confidence level is HIGH, contracts that we have HIGH or VERY_HIGH confidence in being spam will be filtered out from the response.
Defaults to VERY_HIGH for Ethereum Mainnet and MEDIUM for Matic Mainnet.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json